Security Enhanced Linux Reference Policy

# Layer: services

## Module: courier

Interfaces Templates

### Description:

Courier IMAP and POP3 email servers.

### Interfaces:

courier_domtrans_authdaemon( domain )

##### Summary

Execute the courier authentication daemon with a domain transition.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

courier_domtrans_pop( domain )

##### Summary

Execute the courier POP3 and IMAP server with a domain transition.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

courier_manage_spool_dirs( domain )

##### Summary

Create, read, write, and delete courier spool directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

courier_manage_spool_files( domain )

##### Summary

Create, read, write, and delete courier spool files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

courier_read_config( domain )

##### Summary

Read courier config files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

courier_read_spool( domain )

##### Summary

Read courier spool files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

courier_rw_spool_pipes( domain )

##### Summary

Read and write courier spool pipes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

courier_stream_connect_authdaemon( domain )

##### Summary

Connect to courier-authdaemon over a unix stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return

### Templates:

courier_domain_template( domain_prefix )

##### Summary

The template to define a courier domain.

##### Parameters

Parameter: | Description:
--- | ---
domain_prefix | Domain prefix to be used.

Return